PPA problem updating to Release of 0.18

Having trouble installing or compiling FreeCAD? Get help here.
User avatar
iogui
Posts: 95
Joined: Tue Mar 19, 2019 3:44 pm
Location: São Paulo
Contact:

Re: PPA problem updating to Release of 0.18

Postby iogui » Tue Apr 02, 2019 3:25 pm

jmaustpc wrote:
Tue Apr 02, 2019 3:53 am
iogui wrote:
Tue Apr 02, 2019 1:59 am
I think that the problem is in the freecad-doc package. It's dependencies are strange... see:
no, its just that the doc package is for the old FreeCAD 0.17, the package has not yet been updated for 0.18. Its just a case of time available for those that know what to do and priorities of their limited time... i think Kurt said elsewhere that he intended to fix it shortly.
Just some thoughts on that though:

If freecad-doc is listed as a "sugestion", I think it is a little bit strange when it prevents the installation or the version upgrade of the main package. From the point of view of usability it seems wrong to me. I mean... I think it should not prevent the installation but instead just not to work when called by the application... maybe displaying some info about it's version or something like that. Anyway this is just an opinion. Let's just keep going.
Be the change you want to see in the world. - Mahatma Gandhi
User avatar
kkremitzki
Posts: 2159
Joined: Thu Mar 03, 2016 9:52 pm
Location: Texas

Re: PPA problem updating to Release of 0.18

Postby kkremitzki » Tue Apr 02, 2019 3:26 pm

Yep, that part I'd consider a bug, and I plan on fixing it shortly.
Like my FreeCAD work? I'd appreciate any level of support via Patreon, Liberapay, or PayPal! Read more about what I do at my blog.
User avatar
iogui
Posts: 95
Joined: Tue Mar 19, 2019 3:44 pm
Location: São Paulo
Contact:

Re: PPA problem updating to Release of 0.18

Postby iogui » Tue Apr 02, 2019 3:48 pm

kkremitzki wrote:
Tue Apr 02, 2019 3:26 pm
Yep, that part I'd consider a bug, and I plan on fixing it shortly.
That is the central point of my post. If apt upgrade is not enough to upgrade a package, there is a bug in it. I understand the thing about using dist-upgrade or full-upgrade as an alternative solution. And also I understand the thing about been a case of time available for those that know what to do and priorities of their limited time.
BTW. I think that you guys are doing a great job on FreeCAD. It is a great software an it has an enormous potential. I will try to learn a little more about it and its internals in order that I can help too.
Be the change you want to see in the world. - Mahatma Gandhi
User avatar
iogui
Posts: 95
Joined: Tue Mar 19, 2019 3:44 pm
Location: São Paulo
Contact:

Re: PPA problem updating to Release of 0.18

Postby iogui » Sat Apr 06, 2019 11:04 pm

kkremitzki wrote:
Sat Apr 06, 2019 7:09 pm
I just updated the 0.18.1 packaging for Debian and uploaded it, then merged those changes into the PPA branches, synced the mirrored Launchpad repo, and triggered 0.18.1 builds for the stable PPA on 16.04, 18.04, 18.10, and 19.04.

Took about 10 minutes! I'm glad I finally got the packaging repo unified at https://salsa.debian.org/science-team/freecad. I'm using this patch to force the display of the 0.18.1 version--not ideal, but we can get something better set up in master and backport it for a 0.18.2 release whenever that happens.

P.S. This has Python 3 set to default.
It seems that is an error when updating. It seems that my FreeCAD was updated successfully as it seems to be working as 0.18.1 but there were errors displayed in the terminal. See:

Code: Select all

$ sudo apt upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Calculando atualização... Pronto
Os pacotes a seguir serão atualizados:
  freecad freecad-common freecad-python2 freecad-runtime libfreecad-python2-0.18
5 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso baixar 31,8 MB de arquivos.
Depois desta operação, 8.192 B adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] 
Obter:1 http://ppa.launchpad.net/freecad-maintainers/freecad-stable/ubuntu xenial/main amd64 freecad-common all 2:0.18.1+dfsg1~201904061907~ubuntu16.04.1 [6.124 kB]
Obter:2 http://ppa.launchpad.net/freecad-maintainers/freecad-stable/ubuntu xenial/main amd64 freecad-runtime all 2:0.18.1+dfsg1~201904061907~ubuntu16.04.1 [2.573 kB]
Obter:3 http://ppa.launchpad.net/freecad-maintainers/freecad-stable/ubuntu xenial/main amd64 freecad-python2 amd64 2:0.18.1+dfsg1~201904061907~ubuntu16.04.1 [45,6 kB]
Obter:4 http://ppa.launchpad.net/freecad-maintainers/freecad-stable/ubuntu xenial/main amd64 libfreecad-python2-0.18 amd64 2:0.18.1+dfsg1~201904061907~ubuntu16.04.1 [23,0 MB]
Obter:5 http://ppa.launchpad.net/freecad-maintainers/freecad-stable/ubuntu xenial/main amd64 freecad all 2:0.18.1+dfsg1~201904061907~ubuntu16.04.1 [33,1 kB]
Baixados 31,8 MB em 20s (1.578 kB/s)                                                                                                       
(Lendo banco de dados ... 359977 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../freecad-common_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_all.deb ...
A descompactar freecad-common (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) sobre (2:0.18+dfsg1~201903301803~ubuntu16.04.1) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/freecad-common_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_all.deb (--unpack):
 a tentar sobre-escrever '/usr/share/man/man1/freecad.1.gz', que também está no pacote freecad-python2 2:0.18+dfsg1~201903301803~ubuntu16.04.1
A preparar para desempacotar .../freecad-runtime_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_all.deb ...
A descompactar freecad-runtime (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) sobre (2:0.18+dfsg1~201903301803~ubuntu16.04.1) ...
A preparar para desempacotar .../freecad-python2_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_amd64.deb ...
A descompactar freecad-python2 (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) sobre (2:0.18+dfsg1~201903301803~ubuntu16.04.1) ...
A preparar para desempacotar .../libfreecad-python2-0.18_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_amd64.deb ...
A descompactar libfreecad-python2-0.18 (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) sobre (2:0.18+dfsg1~201903301803~ubuntu16.04.1) ...
A preparar para desempacotar .../freecad_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_all.deb ...
A descompactar freecad (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) sobre (2:0.18+dfsg1~201903301803~ubuntu16.04.1) ...
A processar 'triggers' para hicolor-icon-theme (0.15-0ubuntu1.1) ...
A processar 'triggers' para desktop-file-utils (0.22-1ubuntu5.2) ...
A processar 'triggers' para bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
A processar 'triggers' para gnome-menus (3.13.3-6ubuntu3.1) ...
A processar 'triggers' para mime-support (3.59ubuntu1) ...
A processar 'triggers' para man-db (2.7.5-1) ...
A processar 'triggers' para libc-bin (2.23-0ubuntu11) ...
A processar 'triggers' para shared-mime-info (1.5-2ubuntu0.2) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Erros foram encontrados durante o processamento de:
 /var/cache/apt/archives/freecad-common_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Be the change you want to see in the world. - Mahatma Gandhi
User avatar
iogui
Posts: 95
Joined: Tue Mar 19, 2019 3:44 pm
Location: São Paulo
Contact:

Re: PPA problem updating to Release of 0.18

Postby iogui » Sat Apr 06, 2019 11:13 pm

And also:
kkremitzki wrote:
Sat Apr 06, 2019 7:09 pm
P.S. This has Python 3 set to default.
In my system FreeCAD is still using python 2:

OS: Ubuntu 16.04.6 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.1.
Build type: Release
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Portuguese/Brazil (pt_BR)
Be the change you want to see in the world. - Mahatma Gandhi
User avatar
iogui
Posts: 95
Joined: Tue Mar 19, 2019 3:44 pm
Location: São Paulo
Contact:

Re: PPA problem updating to Release of 0.18

Postby iogui » Sat Apr 06, 2019 11:21 pm

It seems that freecad-common is conflicting with freecad-python2. I will try to remove freecad and install it again.
Be the change you want to see in the world. - Mahatma Gandhi
User avatar
iogui
Posts: 95
Joined: Tue Mar 19, 2019 3:44 pm
Location: São Paulo
Contact:

Re: PPA problem updating to Release of 0.18

Postby iogui » Sat Apr 06, 2019 11:37 pm

after removing freecad and freecad-common, it seems that now we don't have problems on the installation but python 2 is still been used as default:

Code: Select all

$ sudo apt install freecad
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
The following additional packages will be installed:
  freecad-common freecad-python2
Os NOVOS pacotes a seguir serão instalados:
  freecad freecad-common freecad-python2
0 pacotes atualizados, 3 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso baixar 0 B/6.203 kB de arquivos.
Depois desta operação, 42,5 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] 
A seleccionar pacote anteriormente não seleccionado freecad-common.
(Lendo banco de dados ... 359436 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../freecad-common_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_all.deb ...
A descompactar freecad-common (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) ...
A seleccionar pacote anteriormente não seleccionado freecad-python2.
A preparar para desempacotar .../freecad-python2_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_amd64.deb ...
A descompactar freecad-python2 (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) ...
A seleccionar pacote anteriormente não seleccionado freecad.
A preparar para desempacotar .../freecad_2%3a0.18.1+dfsg1~201904061907~ubuntu16.04.1_all.deb ...
A descompactar freecad (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) ...
A processar 'triggers' para hicolor-icon-theme (0.15-0ubuntu1.1) ...
A processar 'triggers' para desktop-file-utils (0.22-1ubuntu5.2) ...
A processar 'triggers' para bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
A processar 'triggers' para gnome-menus (3.13.3-6ubuntu3.1) ...
A processar 'triggers' para mime-support (3.59ubuntu1) ...
A processar 'triggers' para man-db (2.7.5-1) ...
A processar 'triggers' para shared-mime-info (1.5-2ubuntu0.2) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Configurando freecad-common (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) ...
Configurando freecad-python2 (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) ...
update-alternatives: a usar /usr/lib/freecad/bin/freecad-python2 para disponibilizar /usr/bin/freecad (freecad) em modo auto
Configurando freecad (2:0.18.1+dfsg1~201904061907~ubuntu16.04.1) ...
Be the change you want to see in the world. - Mahatma Gandhi
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: PPA problem updating to Release of 0.18

Postby NormandC » Sun Apr 07, 2019 3:32 am

Is freecad-python3 installed? As far as I know, the freecad metapackage depends on either freecad-python2 or freecad-python3, maybe if freecad-python2 is found, the freecad-python3 package isn't installed?

The update from the Ubuntu update manager failed, but I fixed it with sudo apt upgrade which failed for you. I already had both freecad-python2 and freecad-python3 installed, maybe that's the difference?
User avatar
kkremitzki
Posts: 2159
Joined: Thu Mar 03, 2016 9:52 pm
Location: Texas

Re: PPA problem updating to Release of 0.18

Postby kkremitzki » Sun Apr 07, 2019 3:50 am

Setting the default to Python 3 just means new users running sudo apt install freecad will hit the dependency freecad-python3 | freecad-python2 so if they don't have either installed they'll get freecad-python3. If you already have freecad-python2 installed the dependency will be satisfied.
Like my FreeCAD work? I'd appreciate any level of support via Patreon, Liberapay, or PayPal! Read more about what I do at my blog.
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: PPA problem updating to Release of 0.18

Postby NormandC » Sun Apr 07, 2019 4:12 am

Thanks for confirming.